Bug 96674 - [SNB, ILK] spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_nv1
Summary: [SNB, ILK] spec.ext_image_dma_buf_import.ext_image_dma_buf_import-sample_nv1
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Jordan Justen
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-25 04:01 UTC by Mark Janes
Modified: 2016-06-27 17:20 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-06-25 04:01:14 UTC
Regression from 
mesa 727a9b24933d384f5440ed4318fb720ed11d6dd1
Author:     Jordan Justen <jordan.l.justen@intel.com>
i965: Skip update_texture_surface when the plane doesn't exist

Reported-by: Grazvydas Ignotas <notasas@gmail.com>
Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=96607
Signed-off-by: Jordan Justen <jordan.l.justen@intel.com>
Cc: Kristian Høgsberg <krh@bitplanet.net>
Cc: "12.0" <mesa-stable@lists.freedesktop.org>
Reviewed-by: Chad Versace <chad.versace@intel.com>


/tmp/build_root/m64/lib/piglit/bin/ext_image_dma_buf_import-sample_yuv -fmt=NV12 -alpha-one -auto
Probe at (0,0)
  Expected: 44 41 25 255
  Observed: 0 146 24 255
Comment 1 Jordan Justen 2016-06-25 19:27:17 UTC
https://patchwork.freedesktop.org/patch/95230/
Comment 2 Mark Janes 2016-06-27 17:20:40 UTC
fixed in 367cf3a2e3e51466429a6446ef14ed398a5fb948


bug/show.html.tmpl processed on Mar 30, 2017 at 08:54:35.
(provided by the Example extension).